%ifos darwin
%define __vardir	/private/var/local
%define __soext		dylib
%define __startupdir	/System/Library/StartupItems
%else
%define __vardir	/var
%define __soext		so
%endif

Summary: Japanese input system
Name: Canna
Version: 3.5b2
Release: 5c
Copyright: distributable
Group: Extensions/Japanese
Source0: ftp://ftp.nec.co.jp/pub/Canna/Canna35/Canna35b2.tar.gz
Source1: localhost:/canna.init
Source2: localhost:/canna.init.darwin
Source3: localhost:/params.darwin
Patch0: localhost:/Canna-3.5b2.conf.patch
Patch1: localhost:/Canna-3.5b2.Imakefile.patch
Patch2: localhost:/Canna-3.5b2-glibc.patch
# Canna-3.5b2-glibc.patch ϡƣ <densuke@ga2.so-net.or.jp> 
# 󶡤ޤ
Patch3: localhost:/Canna-3.5b2.noch.patch
Patch4: localhost:/Canna-3.5b2-stdin.patch
Patch5: localhost:/Canna-3.5b2.security.patch
Patch6: localhost:/Canna-3.5b2.macosx.patch
URL: http://www.nec.co.jp/japanese/product/computer/soft/canna/
Prefix: ${_prefix}
BuildRoot: /var/tmp/%{name}-root
Distribution: Japanese RPM(JRPM)
Vendor: Linux Japanese RPM Project
#Packager: Atsushi Yamagata <yamagata@plathome.co.jp>
Packager: Keisuke Fujii <fujiik@jlcuxf.kek.jp>
Summary(ja): ܸϥƥ

%description
Canna is a Japanese input system and provides a unified user interface
for inputing Japanese. It supports Nemacs(Mule), kinput2, and canuum.
All of these tools can be used by a single customization file, romaji-to-kana
conversion rules and conversion dictionaries, and input Japanese in
the same way. It converts kana to kanji based on a client-server model and
supports automatically kana-to-kanji conversion.

%description -l ja
Canna ܸϤݤˡ줵줿桼󥿡ե󶡤
ܸϥƥǤNemacs(Mule)kinput2canuum 򥵥ݡȤ
ޤΥġ뤹٤ƤϡñΥޥե롢޻
Ѵ§ѴѤơƱܸͤϤǤޤ饤-
ХǥˤȤŤƤʤѴ༡ŪʤʴѴ򥵥ݡ
ȤƤޤ

%package devel
Summary: development library and header file for Canna
Group: Extensions/Japanese

%description devel
This package contains the header file and library for building programs
with use Canna.

%description devel -l ja
Υѥåˤ Canna Ѥץ򥳥ѥ뤹뤿ɬ
פʥإåեȥ饤֥ޤǤޤ

%prep
%setup -q -n %{name}35b2
%patch0 -p1
%patch1 -p1
if [ -f /lib/libc-2* ]; then
%patch2 -p0
fi
set `/usr/bin/id`
if [ X$1 != "Xuid=0(root)" ]; then
%patch3 -p1
fi
if [ -f /lib/libc-2.1* ]; then
%patch4 -p1
fi
%patch5 -p1
%ifos darwin
%patch6 -p1 -b .macosx
%endif

rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6
if [ -d /usr/X11R6.1 ]; then
	ln -sf $RPM_BUILD_ROOT/usr/X11R6 $RPM_BUILD_ROOT/usr/X11R6.1
fi
if [ -d /usr/X11R6.3 ]; then
	ln -sf $RPM_BUILD_ROOT/usr/X11R6 $RPM_BUILD_ROOT/usr/X11R6.3
fi
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/man/man1
mkdir -p $RPM_BUILD_ROOT%{__vardir}/{lib,log}
%ifos darwin
ln -s private/var $RPM_BUILD_ROOT/var
%endif

%build
%ifos darwin
export libCannaDir=%{_prefix}/lib
%endif
xmkmf -a
(cd lib/canna; make sglobal.h)
(cd lib/canna16; make sglobal.h)
make canna

%install
make DESTDIR=$RPM_BUILD_ROOT install
make DESTDIR=$RPM_BUILD_ROOT install.man

%ifnos darwin
(cd $RPM_BUILD_ROOT%{_prefix}/man/ja; mv man1x man1; mv man3x man3)
%endif

mv misc/manual.sed .
rm -fr misc
mkdir misc
mv manual.sed misc

%ifos darwin
mkdir -p $RPM_BUILD_ROOT%{__startupdir}/Canna
cp $RPM_SOURCE_DIR/canna.init.darwin $RPM_BUILD_ROOT%{__startupdir}/Canna/Canna
cp $RPM_SOURCE_DIR/params.darwin $RPM_BUILD_ROOT%{__startupdir}/Canna/StartupParameters.plist
%else
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
cp $RPM_SOURCE_DIR/canna.init $RPM_BUILD_ROOT/etc/rc.d/init.d/canna
%endif


%clean
rm -fr $RPM_BUILD_ROOT

%ifnos darwin
%post
if ! grep -q canna /etc/services
then
        cp -p /etc/services /etc/services.orig
	echo "canna		5680/tcp" >>/etc/services
fi

%postun
if [ "$1" = 0 ]
then
        if grep -q canna /etc/services
        then
                cp -p /etc/services /etc/services.orig
                sed '/^canna/d' /etc/services >/tmp/services.$$
                mv /tmp/services.$$ /etc/services
        fi
fi

%post devel
/sbin/ldconfig

%postun devel
/sbin/ldconfig
%endif



%files
%doc CHANGES.jp INSTALL INSTALL.jp README README.jp WHATIS WHATIS.jp
%doc Canna.conf doc misc
%ifos darwin
%dir %{__startupdir}/Canna
%config %{__startupdir}/Canna/Canna
%config %{__startupdir}/Canna/StartupParameters.plist
%else
%config /etc/rc.d/init.d/canna
%endif
%ifos darwin
%attr (-,daemon,daemon) %dir %{__vardir}/log/canna
%else
%dir %{__vardir}/log/canna
%endif

%{__vardir}/lib/canna
%{_prefix}/bin/*
%ifos darwin
%{_prefix}/lib/libRKC.*.%{__soext}
%{_prefix}/lib/libRKC16.*.%{__soext}
%{_prefix}/lib/libcanna.*.%{__soext}
%{_prefix}/lib/libcanna16.*.%{__soext}
%else
%{_prefix}/lib/libRKC.%{__soext}.*
%{_prefix}/lib/libRKC16.%{__soext}.*
%{_prefix}/lib/libcanna.%{__soext}.*
%{_prefix}/lib/libcanna16.%{__soext}.*
%endif
%{_prefix}/sbin/cannaserver
%{_prefix}/sbin/cannakill
%{_prefix}/man/ja/man1/*

%files devel
%{_prefix}/include/canna/
%{_prefix}/lib/libRKC.%{__soext}
%{_prefix}/lib/libRKC.a
%{_prefix}/lib/libRKC16.%{__soext}
%{_prefix}/lib/libRKC16.a
%{_prefix}/lib/libcanna.%{__soext}
%{_prefix}/lib/libcanna.a
%{_prefix}/lib/libcanna16.%{__soext}
%{_prefix}/lib/libcanna16.a
%{_prefix}/man/ja/man3/*

%changelog
* Wed Oct 9 2002 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st release on MacOS X Release 10.2

* Thu Oct 11 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st release on MacOS X Release 10.1

* Mon Apr 23 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st release on MacOS X Release 10.0.01

* Mon Jul 3 2000 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- added security patch (See SPS advisory #38)

* Wed Jun 23 1999 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- added stdin patch by T.Oe
- accomodate with chkconfig
- built against linuxppc-R5

* Fri Jan 22 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- 4th release
- changed installed directories (See Canna.conf and INSTALL.jp)
- added post-{un}install scripts for Canna and Canna-devel packages
- added URL, Distribution, Vendor, and Prefix tags

* Tue Nov 04 1997 Atsushi Yamagata <yamagata@jwu.ac.jp>
- 3rd release
- patched for glibc. Thanks Mr. Daisuke Sato <densuke@ga2.so-net.or.jp>
- divided the Canna packege into Canna and Canna-devel

* Sun Jul 27 1997 Atsushi Yamagata <yamagata@jwu.ac.jp>
- 2nd release

* Fri Jul 11 1997 Atsushi Yamagata <yamagata@jwu.ac.jp>
- 1st release
